%define major 2
%define libname %mklibname globus-gass-transfer %{major}
%define develname %mklibname globus-gass-transfer -d

Name:		globus-gass-transfer
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	9.4
Release:	%mkrel 2
Summary:	Globus Toolkit - Globus Gass Transfer

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz

BuildRequires:	pkgconfig(globus-common) >= 14
BuildRequires:	pkgconfig(globus-io) >= 8
BuildRequires:	pkgconfig(globus-gssapi-gsi) >= 10
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:  automake >= 1.11
BuildRequires:  autoconf >= 2.60
BuildRequires:  libtool >= 2.2
BuildRequires:  pkgconfig

%package -n %{develname}
Summary:	Globus Toolkit - Globus Gass Transfer Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-common) >= 14
Requires:	pkgconfig(globus-io) >= 8
Requires:	pkgconfig(globus-gssapi-gsi) >= 10

%package doc
Summary:	Globus Toolkit - Globus Gass Transfer Documentation Files
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

%package -n %{libname}
Summary: Globus Toolkit - Globus Gass Transfer
Provides: %{name} = %{version}-%{release}
Group: System/Libraries

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus Gass Transfer

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus Gass Transfer Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
Globus Gass Transfer Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
rm -rf autom4te.cache
autoreconf -if

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%check
make %{?_smp_mflags} check

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus*.so.*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html/*
%{_mandir}/man3/*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 9.4-2.mga10
+ Revision: 2215385
- Mageia 10 Mass Rebuild

* Sun Oct 02 2022 neoclust <neoclust> 9.4-1.mga9
+ Revision: 1893913
- New version

* Sat Apr 02 2022 umeabot <umeabot> 9.2-2.mga9
+ Revision: 1840873
- Mageia 9 Mass Rebuild

* Fri Dec 18 2020 joequant <joequant> 9.2-1.mga8
+ Revision: 1660706
- update to 9.2

* Mon May 04 2020 joequant <joequant> 9.1-1.mga8
+ Revision: 1579670
- update to 9.1
- update to 9.1
- update to 9.1

* Tue Apr 28 2020 joequant <joequant> 8.10-1.mga8
+ Revision: 1572957
- imported package globus-gass-transfer

